# Groups

Endpoints for managing WhatsApp groups

## Get Active Groups

> Retrieve list of active groups for a business phone number with pagination support.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.GetActiveGroupsResponse":{"description":"Response payload containing a paginated list of active groups","properties":{"data":{"$ref":"#/components/schemas/groups.GetActiveGroupsData"},"paging":{"$ref":"#/components/schemas/groups.GroupPaging"}},"type":"object"},"groups.GetActiveGroupsData":{"properties":{"groups":{"items":{"$ref":"#/components/schemas/groups.GroupSummary"},"type":"array","uniqueItems":false}},"type":"object"},"groups.GroupSummary":{"properties":{"created_at":{"type":"integer"},"id":{"type":"string"},"subject":{"type":"string"}},"type":"object"},"groups.GroupPaging":{"properties":{"cursors":{"$ref":"#/components/schemas/groups.GroupPagingCursors"},"next":{"type":"string"},"previous":{"type":"string"}},"type":"object"},"groups.GroupPagingCursors":{"properties":{"after":{"type":"string"},"before":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups":{"get":{"description":"Retrieve list of active groups for a business phone number with pagination support.","operationId":"get-active-groups","parameters":[{"description":"Number of groups to fetch (1-1024, default 25)","in":"query","name":"limit","schema":{"type":"integer"}},{"description":"Cursor for pagination","in":"query","name":"after","schema":{"type":"string"}},{"description":"Cursor for pagination","in":"query","name":"before","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.GetActiveGroupsResponse"}}},"description":"Groups retrieved successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Internal server error"}},"summary":"Get Active Groups","tags":["Groups"]}}}}
```

## Create Group

> Create a new WhatsApp group with specified subject, description, and join approval mode.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.CreateGroupRequest":{"description":"Request payload to create a new WhatsApp group","properties":{"description":{"type":"string"},"join_approval_mode":{"type":"string"},"messaging_product":{"type":"string"},"subject":{"type":"string"}},"type":"object"},"groups.CreateGroupResponse":{"description":"Response payload for a successfully created group","properties":{"id":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups":{"post":{"description":"Create a new WhatsApp group with specified subject, description, and join approval mode.","operationId":"create-group","requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/groups.CreateGroupRequest","summary":"requestBody","description":"Group creation payload"}]}}},"description":"Group creation payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.CreateGroupResponse"}}},"description":"Group created successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Internal server error"}},"summary":"Create Group","tags":["Groups"]}}}}
```

## Get Group Information

> Retrieve detailed metadata about a specific group including participants and settings.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.GetGroupInfoResponse":{"description":"Response payload containing detailed group metadata","properties":{"creation_timestamp":{"type":"integer"},"description":{"type":"string"},"id":{"type":"string"},"join_approval_mode":{"type":"string"},"messaging_product":{"type":"string"},"participants":{"items":{"$ref":"#/components/schemas/groups.GroupParticipant"},"type":"array","uniqueItems":false},"subject":{"type":"string"},"suspended":{"type":"boolean"},"total_participant_count":{"type":"integer"}},"type":"object"},"groups.GroupParticipant":{"properties":{"wa_id":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}":{"get":{"description":"Retrieve detailed metadata about a specific group including participants and settings.","operationId":"get-group-info","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}},{"description":"Comma-separated list of fields to return. Available fields: https://developers.facebook.com/documentation/business-messaging/whatsapp/groups/reference#available-fields","in":"query","name":"fields","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.GetGroupInfoResponse"}}},"description":"Group information retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Get Group Information","tags":["Groups"]}}}}
```

## Update Group Settings

> Update group subject, description, and profile picture.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.UpdateGroupRequest":{"description":"Request payload to update group subject, description, and profile picture","properties":{"description":{"type":"string"},"messaging_product":{"type":"string"},"profile_picture_file":{"type":"string"},"subject":{"type":"string"}},"type":"object"},"groups.UpdateGroupResponse":{"description":"Response payload for a successful group update","properties":{"success":{"type":"boolean"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}":{"post":{"description":"Update group subject, description, and profile picture.","operationId":"update-group-settings","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.UpdateGroupRequest","summary":"requestBody","description":"Update group settings payload"}},"multipart/form-data":{"schema":{"type":"object"}}},"description":"Update group settings payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.UpdateGroupResponse"}}},"description":"Group updated successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Update Group Settings","tags":["Groups"]}}}}
```

## Delete Group

> Delete the group and remove all participants permanently.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.DeleteGroupResponse":{"description":"Response payload for successful group deletion","properties":{"success":{"type":"boolean"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}":{"delete":{"description":"Delete the group and remove all participants permanently.","operationId":"delete-group","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.DeleteGroupResponse"}}},"description":"Group deleted successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Delete Group","tags":["Groups"]}}}}
```

## Get Group Invite Link

> Retrieve the current invite link for a group that allows users to join.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.GetInviteLinkResponse":{"description":"Response payload containing the group invite link","properties":{"invite_link":{"type":"string"},"messaging_product":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/invite_link":{"get":{"description":"Retrieve the current invite link for a group that allows users to join.","operationId":"get-group-invite-link","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.GetInviteLinkResponse"}}},"description":"Invite link retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Get Group Invite Link","tags":["Groups"]}}}}
```

## Reset Group Invite Link

> Reset the invite link for a group, invalidating previous links.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.ResetInviteLinkRequest":{"description":"Request payload for resetting a group invite link","properties":{"messaging_product":{"type":"string"}},"type":"object"},"groups.ResetInviteLinkResponse":{"description":"Response payload containing the new group invite link","properties":{"invite_link":{"type":"string"},"messaging_product":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/invite_link":{"post":{"description":"Reset the invite link for a group, invalidating previous links.","operationId":"reset-group-invite-link","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/groups.ResetInviteLinkRequest","summary":"requestBody","description":"Request body"}]}}},"description":"Request body","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.ResetInviteLinkResponse"}}},"description":"Invite link reset successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Reset Group Invite Link","tags":["Groups"]}}}}
```

## Get Join Requests

> Retrieve list of pending join requests for a group requiring approval.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.GetJoinRequestsResponse":{"description":"Response payload containing pending group join requests","properties":{"data":{"items":{"$ref":"#/components/schemas/groups.JoinRequest"},"type":"array","uniqueItems":false},"paging":{"$ref":"#/components/schemas/groups.GroupPaging"}},"type":"object"},"groups.JoinRequest":{"properties":{"creation_timestamp":{"type":"integer"},"join_request_id":{"type":"string"},"wa_id":{"type":"string"}},"type":"object"},"groups.GroupPaging":{"properties":{"cursors":{"$ref":"#/components/schemas/groups.GroupPagingCursors"},"next":{"type":"string"},"previous":{"type":"string"}},"type":"object"},"groups.GroupPagingCursors":{"properties":{"after":{"type":"string"},"before":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/join_requests":{"get":{"description":"Retrieve list of pending join requests for a group requiring approval.","operationId":"get-join-requests","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.GetJoinRequestsResponse"}}},"description":"Join requests retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Get Join Requests","tags":["Groups"]}}}}
```

## Approve Join Requests

> Approve one or more pending join requests for a group.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.JoinRequestActionRequest":{"description":"Request payload for approving or rejecting group join requests","properties":{"join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false},"messaging_product":{"type":"string"}},"type":"object"},"groups.JoinRequestActionResponse":{"description":"Response payload for join request approval/rejection","properties":{"approved_join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false},"errors":{"items":{"$ref":"#/components/schemas/groups.GroupError"},"type":"array","uniqueItems":false},"failed_join_requests":{"items":{"$ref":"#/components/schemas/groups.FailedJoinRequest"},"type":"array","uniqueItems":false},"messaging_product":{"type":"string"},"rejected_join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false}},"type":"object"},"groups.GroupError":{"properties":{"code":{"type":"integer"},"error_data":{"$ref":"#/components/schemas/groups.GroupErrorData"},"message":{"type":"string"},"title":{"type":"string"}},"type":"object"},"groups.GroupErrorData":{"properties":{"details":{"type":"string"}},"type":"object"},"groups.FailedJoinRequest":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/groups.GroupError"},"type":"array","uniqueItems":false},"join_request_id":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/join_requests":{"post":{"description":"Approve one or more pending join requests for a group.","operationId":"approve-join-requests","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/groups.JoinRequestActionRequest","summary":"requestBody","description":"Join request approval payload"}]}}},"description":"Join request approval payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.JoinRequestActionResponse"}}},"description":"Join requests approved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Approve Join Requests","tags":["Groups"]}}}}
```

## Reject Join Requests

> Reject one or more pending join requests for a group.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.JoinRequestActionRequest":{"description":"Request payload for approving or rejecting group join requests","properties":{"join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false},"messaging_product":{"type":"string"}},"type":"object"},"groups.JoinRequestActionResponse":{"description":"Response payload for join request approval/rejection","properties":{"approved_join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false},"errors":{"items":{"$ref":"#/components/schemas/groups.GroupError"},"type":"array","uniqueItems":false},"failed_join_requests":{"items":{"$ref":"#/components/schemas/groups.FailedJoinRequest"},"type":"array","uniqueItems":false},"messaging_product":{"type":"string"},"rejected_join_requests":{"items":{"type":"string"},"type":"array","uniqueItems":false}},"type":"object"},"groups.GroupError":{"properties":{"code":{"type":"integer"},"error_data":{"$ref":"#/components/schemas/groups.GroupErrorData"},"message":{"type":"string"},"title":{"type":"string"}},"type":"object"},"groups.GroupErrorData":{"properties":{"details":{"type":"string"}},"type":"object"},"groups.FailedJoinRequest":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/groups.GroupError"},"type":"array","uniqueItems":false},"join_request_id":{"type":"string"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/join_requests":{"delete":{"description":"Reject one or more pending join requests for a group.","operationId":"reject-join-requests","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/groups.JoinRequestActionRequest","summary":"requestBody","description":"Join request rejection payload"}]}}},"description":"Join request rejection payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.JoinRequestActionResponse"}}},"description":"Join requests rejected successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Reject Join Requests","tags":["Groups"]}}}}
```

## Remove Group Participants

> Remove one or more participants from a group.

```json
{"openapi":"3.1.0","info":{"title":"Messaging API","version":"1.41.0"},"tags":[{"name":"Groups","description":"Endpoints for managing WhatsApp groups"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"groups.ModifyParticipantsRequest":{"description":"Participants: array of objects with user phone number or WhatsApp ID. Cannot be empty. Max 8.","properties":{"messaging_product":{"type":"string"},"participants":{"items":{"$ref":"#/components/schemas/groups.ParticipantUser"},"type":"array","uniqueItems":false}},"type":"object"},"groups.ParticipantUser":{"properties":{"user":{"type":"string"}},"type":"object"},"groups.RemoveParticipantsResponse":{"description":"Response payload for successful participant removal","properties":{"success":{"type":"boolean"}},"type":"object"},"utils.ErrorResp":{"properties":{"error":{"type":"string"}},"type":"object"}}},"paths":{"/groups/{group_id}/participants":{"delete":{"description":"Remove one or more participants from a group.","operationId":"remove-group-participants","parameters":[{"description":"Group ID","in":"path","name":"group_id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object"},{"$ref":"#/components/schemas/groups.ModifyParticipantsRequest","summary":"request","description":"Request body"}]}}},"description":"Request body","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/groups.RemoveParticipantsResponse"}}},"description":"Participants removed successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/utils.ErrorResp"}}},"description":"Group not found"}},"summary":"Remove Group Participants","tags":["Groups"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/docs/messaging-api/api-reference/groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
